def main():
    icmp6 = "echo, echo-reply, membership-query, membership-reduction, membership-report, neighbor-advertisement, neighbor-redirect, neighbor-solicitation, packet-too-big, parameter-problem, router-advertisement, router-renumbering, router-solicitation, time-exceeded"
    icmp = "alternate-address, conversion-error, echo, echo-reply, information-reply, information, request, mask-reply, mask-request, mobile-redirect, parameter-problem, redirect, router-advertisement, router-solicitation, source-quench, time-exceeded, timestamp-reply, timestamp-request, traceroute, unreachable"
    result = [x.strip() for x in icmp.split(",")]
    result6 = [x.strip() for x in icmp6.split(",")]

    total = result + result6
    total = set(total)
    return "|".join(total)


print(main())
